/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"
#include "stdio.h"

int main(void)
{
    CyGlobalIntEnable; /* Enable global interrupts. */

	PWM_stim_Start();
	PWM_rising_Start();
	PWM_falling_Start();
	PWM_either_Start();
	UART_Start();
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */

    for(;;)
    {
	char tstr[100];
        /* Place your application code here. */
		while(PWM_stim_ReadStatusRegister() & PWM_stim_STATUS_TC)
		{	// Wait until the PWM_stim is completed one cycle.
			UART_PutString("\r\r");
			
			// Check rising edge PWM capture
			snprintf(tstr, sizeof(tstr), "\n\rPWM_rising edge count = %d", PWM_rising_ReadCapture());
			UART_PutString(tstr);


			// Check falling edge PWM capture
			snprintf(tstr, sizeof(tstr), "\n\rPWM_falling edge count = %d", PWM_falling_ReadCapture());
			UART_PutString(tstr);


			// Check either edge PWM capture
			snprintf(tstr, sizeof(tstr), "\n\rPWM_either edge rise count = %d", PWM_either_ReadCapture());
			UART_PutString(tstr);
			snprintf(tstr, sizeof(tstr), "\n\rPWM_either edge fall count  = %d", PWM_either_ReadCapture());
			UART_PutString(tstr);

		}
	}
}

/* [] END OF FILE */
